from peewee import *
import os

db = SqliteDatabase(os.path.join(os.getenv("HOME"), ".sbg.py.db"))

class BaseModel(Model):
    class Meta:
        database = db

class Background(BaseModel):
    path = TextField()
    tag = TextField()
    current = BooleanField()

if __name__ == "__main__":
    db.connect()
    db.create_table(Background)
    db.commit()
    db.close()
